aboutsummaryrefslogtreecommitdiff
path: root/libs_network
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /libs_network
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'libs_network')
-rw-r--r--libs_network/curl/curl-7.36.0-pkgconfigdir.patch.xzbin0 -> 384 bytes
-rwxr-xr-xlibs_network/curl/curl.build73
-rwxr-xr-xlibs_network/geoip/geoip.build84
-rwxr-xr-xlibs_network/libesmtp/libesmtp.SlackBuild80
-rw-r--r--libs_network/libevent/libevent-2.0.21-stable-pkgconfigdir.patch.xzbin0 -> 520 bytes
-rwxr-xr-xlibs_network/libevent/libevent.build61
-rwxr-xr-xlibs_network/libgmime/libgmime.build67
-rw-r--r--libs_network/libgsasl/libgsasl-1.8.0-pkgconfigdir.patch.xzbin0 -> 400 bytes
-rwxr-xr-xlibs_network/libgsasl/libgsasl.build64
-rwxr-xr-xlibs_network/libgupnp/libgupnp.build117
-rwxr-xr-xlibs_network/libnasl/libnasl.SlackBuild79
-rwxr-xr-xlibs_network/libnet/libnet.SlackBuild89
-rwxr-xr-xlibs_network/libnet/libnet10.SlackBuild89
-rw-r--r--libs_network/libnids/libnids-1.22-install.patch.bz2bin0 -> 285 bytes
-rwxr-xr-xlibs_network/libnids/libnids.SlackBuild78
-rwxr-xr-xlibs_network/libnotmuch/libnotmuch.build64
-rw-r--r--libs_network/libntlm/libntlm-1.3-pkgconfigdir.patch.xzbin0 -> 396 bytes
-rwxr-xr-xlibs_network/libntlm/libntlm.build60
-rw-r--r--libs_network/libproxy/libproxy-0.4.11-pkgconfigdir.patch.xzbin0 -> 396 bytes
-rwxr-xr-xlibs_network/libproxy/libproxy.build66
-rwxr-xr-xlibs_network/libsoup/libsoup.build69
-rw-r--r--libs_network/libssh2/libssh2-1.4.3-pkgconfigdir.patch.xzbin0 -> 424 bytes
-rwxr-xr-xlibs_network/libssh2/libssh2.build65
-rw-r--r--libs_network/libvnc/LibVNCServer-0.9.9-pkgconfigdir.patch.xzbin0 -> 496 bytes
-rwxr-xr-xlibs_network/libvnc/libvnc.build68
-rw-r--r--libs_network/miniupnpc/miniupnpc-1.8.20130211-cmake.patch.xzbin0 -> 544 bytes
-rwxr-xr-xlibs_network/miniupnpc/miniupnpc.build59
-rw-r--r--libs_network/neon/neon-0.29.6-gnutls3backport.patch.xzbin0 -> 1284 bytes
-rw-r--r--libs_network/neon/neon-0.29.6-gnutls3functions.patch.xzbin0 -> 1928 bytes
-rw-r--r--libs_network/neon/neon-0.29.6-gnutls3types.patch.xzbin0 -> 908 bytes
-rw-r--r--libs_network/neon/neon-0.29.6-htmldir.patch.xzbin0 -> 436 bytes
-rwxr-xr-xlibs_network/neon/neon.build67
-rwxr-xr-xlibs_network/nessus_libs/nessus_libs.SlackBuild79
-rwxr-xr-xlibs_network/openobex/openobex.SlackBuild79
-rw-r--r--libs_network/silc/silc-1.0-nodebug.patch.bz2bin0 -> 477 bytes
-rwxr-xr-xlibs_network/silc/silc.SlackBuild93
36 files changed, 1650 insertions, 0 deletions
diff --git a/libs_network/curl/curl-7.36.0-pkgconfigdir.patch.xz b/libs_network/curl/curl-7.36.0-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..5141796
--- /dev/null
+++ b/libs_network/curl/curl-7.36.0-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/curl/curl.build b/libs_network/curl/curl.build
new file mode 100755
index 0000000..d97c882
--- /dev/null
+++ b/libs_network/curl/curl.build
@@ -0,0 +1,73 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=curl
+VERSION=7.36.0
+BUILD=1
+DEPENDS=('gnutls >= 3.2.12-1' 'ca_certificates >= 20130119-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: curl (command line URL data transfer tool)
+${NAME}:
+${NAME}: Curl is a command line tool for transferring data specified with URL
+${NAME}: syntax. The command is designed to work without user interaction or
+${NAME}: any kind of interactivity. Curl offers a busload of useful tricks
+${NAME}: like proxy support, user authentication, ftp upload, HTTP post, SSL
+${NAME}: (https:) connections, cookies, file transfer resume and more.
+${NAME}:
+${NAME}: libcurl is a library that Curl uses to do its job. It is readily
+${NAME}: available to be used by your software, too.
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://curl.haxx.se/download/${SRCNAME[0]}-${SRCVERS[0]}.tar.lzma
+SRCCOPY[0]="MIT"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-debug \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --without-librtmp \
+ --without-ssl \
+ --with-gnutls="${SYS_DIR[usr]}" \
+ --disable-ldap \
+ --disable-ldaps \
+ --enable-ipv6 \
+ --enable-tls-srp \
+ --enable-versioned-symbols \
+ --enable-threaded-resolver
+# --with-ca-path=/usr/share/ca-certificates
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc docs/THANKS
+changelog CHANGES
+install.dir ${PKG}${SYS_DIR[share]}/aclocal
+install.dat docs/libcurl/libcurl.m4 ${PKG}${SYS_DIR[share]}/aclocal
+}
diff --git a/libs_network/geoip/geoip.build b/libs_network/geoip/geoip.build
new file mode 100755
index 0000000..5e7e71a
--- /dev/null
+++ b/libs_network/geoip/geoip.build
@@ -0,0 +1,84 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=geoip
+VERSION=1.4.8
+BUILD=2
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: geoip (GeoIP C API)
+${NAME}:
+${NAME}: A library that maps IP addresses to countries.
+${NAME}:
+${NAME}: Homepage: http://www.maxmind.com/app/c
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+cat >> ${PKG}/install/doinst.sh <<EOF
+#!/bin/sh
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/conf.d/GeoIP.conf.new
+EOF
+
+# Sources
+
+SRCNAME[0]=GeoIP
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://geolite.maxmind.com/download/geoip/api/c/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="LGPL21"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}/conf.d" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --datadir="${SYS_DIR[share]}/net"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS README
+changelog ChangeLog
+mv \
+ ${PKG}/etc/conf.d/GeoIP.conf.default \
+ ${PKG}/etc/conf.d/GeoIP.conf.sample
+mv \
+ ${PKG}/etc/conf.d/GeoIP.conf \
+ ${PKG}/etc/conf.d/GeoIP.conf.new
+}
diff --git a/libs_network/libesmtp/libesmtp.SlackBuild b/libs_network/libesmtp/libesmtp.SlackBuild
new file mode 100755
index 0000000..2488d97
--- /dev/null
+++ b/libs_network/libesmtp/libesmtp.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libesmtp
+VERSION=1.0.3r1
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://www.stafford.uklinux.net/libesmtp
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libesmtp: LibESMTP
+libesmtp:
+libesmtp: LibESMTP is a library to manage posting (or submission of) electronic
+libesmtp: mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
+libesmtp: Exim or Postfix. It may be used as part of a Mail User Agent (MUA) or
+libesmtp: another program that must be able to post electronic mail but where
+libesmtp: mail functionality is not the program's primary purpose. LibESMTP is
+libesmtp: not intended to be used as part of a program that implements a Mail
+libesmtp: Transport Agent.
+libesmtp:
+libesmtp:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+openssl-solibs >= 0.9.7d-i486-1
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog NEWS Notes README TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf $PKG/usr/doc/$NAME-$VERSION/ChangeLog
+
+rm -f $PKG/usr/lib/esmtp-plugins/*.a
+rm -f $PKG/usr/lib/esmtp-plugins/*.la
+strip --strip-unneeded $PKG/usr/lib/esmtp-plugins/*.so
+
+chown -R root.root $PKG
+chown root.bin $PKG/usr/bin $PKG/usr/bin/*
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/libevent/libevent-2.0.21-stable-pkgconfigdir.patch.xz b/libs_network/libevent/libevent-2.0.21-stable-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..f08640a
--- /dev/null
+++ b/libs_network/libevent/libevent-2.0.21-stable-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libevent/libevent.build b/libs_network/libevent/libevent.build
new file mode 100755
index 0000000..2e29eee
--- /dev/null
+++ b/libs_network/libevent/libevent.build
@@ -0,0 +1,61 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libevent
+VERSION=2.0.21
+BUILD=1
+OPTDEPENDS=('openssl >= 1.0.1c-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libevent (event notification library)
+${NAME}:
+${NAME}: A library that provides an event loop for event driven network
+${NAME}: servers.
+${NAME}:
+${NAME}: Homepage: http://www.monkey.org/~provos/libevent
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}-stable
+SRCPACK[0]=http://www.monkey.org/~provos/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="BSD3"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --enable-shared=yes \
+ --enable-static=no \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --includedir="${SYS_DIR[include]}/event" \
+ --localstatedir="${SYS_DIR[var]}"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc README
+changelog ChangeLog
+}
diff --git a/libs_network/libgmime/libgmime.build b/libs_network/libgmime/libgmime.build
new file mode 100755
index 0000000..bb4e193
--- /dev/null
+++ b/libs_network/libgmime/libgmime.build
@@ -0,0 +1,67 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libgmime
+MAJOR=2.6
+VERSION=${MAJOR}.15
+BUILD=1
+DEPENDS=('glib >= 2.36.0-1' 'gpgme >= 1.3.2-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: gmime (MIME library)
+${NAME}:
+${NAME}: GMime is a C/C++ library for parsing and creating messages using the
+${NAME}: Multipurpose Internet Mail Extension (MIME).
+${NAME}:
+${NAME}: Homepage: http://spruce.sf.net/gmime
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=gmime
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=${URL[gnome]}/gmime/${MAJOR}/${SRCNAME[0]}-${SRCVERS[0]}.tar.xz
+SRCCOPY[0]="LGPL21"
+
+build0()
+{
+sed -i 's|$(libdir)/pkgconfig|$(datarootdir)/pkgconfig|g' Makefile.{am,in}
+CPPFLAGS="-I${SYS_DIR[include]}/gpg-error" \
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-rpath \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-html-dir="${SYS_DIR[html]}" \
+ --enable-smime
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog ChangeLog
+rm -rf ${PKG}${SYS_DIR[share]}/gtk-doc
+}
diff --git a/libs_network/libgsasl/libgsasl-1.8.0-pkgconfigdir.patch.xz b/libs_network/libgsasl/libgsasl-1.8.0-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..4fadf36
--- /dev/null
+++ b/libs_network/libgsasl/libgsasl-1.8.0-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libgsasl/libgsasl.build b/libs_network/libgsasl/libgsasl.build
new file mode 100755
index 0000000..d529f33
--- /dev/null
+++ b/libs_network/libgsasl/libgsasl.build
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libgsasl
+VERSION=1.8.0
+BUILD=2
+DEPENDS=('libgcrypt >= 1.5.0-1' 'libntlm >= 1.3-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libgsasl
+${NAME}:
+${NAME}: GNU SASL is an implementation of the Simple Authentication and
+${NAME}: Security Layer framework and a few common SASL mechanisms. SASL is
+${NAME}: used is used by network servers (e.g., IMAP, SMTP) to request
+${NAME}: authentication from clients, and in clients to authenticate against
+${NAME}: servers.
+${NAME}:
+${NAME}: Homepage: http://josefsson.org/libgsasl
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=ftp://ftp.gnu.org/pub/gnu/gsasl/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="GPL3 LGPL21"
+
+build0()
+{
+CPPFLAGS="-I${SYS_DIR[include]}/idn -I${SYS_DIR[include]}/ntlm -I${SYS_DIR[include]}/gcrypt -I${SYS_DIR[include]}/gpg-error" \
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-rpath \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --includedir="${SYS_DIR[include]}/gsasl" \
+ --with-libgcrypt
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS THANKS
+changelog NEWS
+}
diff --git a/libs_network/libgupnp/libgupnp.build b/libs_network/libgupnp/libgupnp.build
new file mode 100755
index 0000000..f63cf0e
--- /dev/null
+++ b/libs_network/libgupnp/libgupnp.build
@@ -0,0 +1,117 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libgupnp
+VERSION=0.20.10
+BUILD=1
+DEPENDS=('glib >= 2.38.2-1' 'libsoup >= 2.46.0-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libgupnp
+${NAME}:
+${NAME}: A framework for creating UPnP devices and control points. It is
+${NAME}: intended to be easy to use, efficient and flexible while providing
+${NAME}: the same set of features as libupnp.
+${NAME}:
+${NAME}: Homepage: http://gupnp.org
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+GUPNPREPO=http://gupnp.org/sites/all/files/sources
+
+GTKINCS="$(pkg-config glib-2.0 --cflags)"
+GSSDPINCS="-I${SYS_DIR[include]}/libsoup-2.4 -I${SYS_DIR[include]}/libxml2"
+
+configure()
+{
+sed -i 's|$(libdir)/pkgconfig|$(datarootdir)/pkgconfig|g' Makefile.{am,in}
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-silent-rules \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-introspection=no \
+ --enable-gtk-doc-html=no \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-html-dir="${SYS_DIR[html]}" \
+ ${*}
+}
+
+SRCNAME[0]=gssdp
+SRCVERS[0]=0.14.7
+SRCPACK[0]=${GUPNPREPO}/${SRCNAME[0]}-${SRCVERS[0]}.tar.xz
+SRCCOPY[0]="LGPL2"
+
+build0()
+{
+CPPFLAGS="-I${SYS_DIR[include]}/libsoup-2.4 ${GTKINCS}" \
+configure \
+ --datadir=${SYS_DIR[share]}/application-data
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+rm -rf ${PKG}${SYS_DIR[html]}
+}
+
+SRCNAME[1]=gupnp
+SRCVERS[1]=${VERSION}
+SRCPACK[1]=${GUPNPREPO}/${SRCNAME[1]}-${SRCVERS[1]}.tar.xz
+SRCCOPY[1]="LGPL2"
+
+build1()
+{
+LIBGUPNP_LIBS="-luuid -L${PKG}${SYS_DIR[lib]} -lgssdp-1.0 -lgobject-2.0 -lgio-2.0" \
+LIBGUPNP_CFLAGS="-I${PKG}${SYS_DIR[include]}/gssdp-1.0 ${GTKINCS} ${GSSDPINCS}" \
+configure \
+ --with-context-manager=network-manager
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+rm -rf \
+ ${PKG}${SYS_DIR[lib]}/*.la \
+ ${PKG}${SYS_DIR[html]}
+}
+
+SRCNAME[2]=gupnp-igd
+SRCVERS[2]=0.2.3
+SRCPACK[2]=${GUPNPREPO}/${SRCNAME[2]}-${SRCVERS[2]}.tar.xz
+SRCCOPY[2]="LGPL21"
+
+build2()
+{
+LIBGUPNP_LIBS="-luuid -L${PKG}${SYS_DIR[lib]} -lgupnp-1.0 -lgssdp-1.0 -lglib-2.0 -lgthread-2.0 -lgobject-2.0 -lgio-2.0" \
+LIBGUPNP_CFLAGS="-I${PKG}${SYS_DIR[include]}/gssdp-1.0 -I${PKG}${SYS_DIR[include]}/gupnp-1.0 ${GTKINCS} ${GSSDPINCS}" \
+configure \
+ --disable-python
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+rm -rf ${PKG}${SYS_DIR[html]}
+}
diff --git a/libs_network/libnasl/libnasl.SlackBuild b/libs_network/libnasl/libnasl.SlackBuild
new file mode 100755
index 0000000..be4374a
--- /dev/null
+++ b/libs_network/libnasl/libnasl.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libnasl
+VERSION=2.3.1
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME
+ARCHIVE=$PKGNAME-$PKGVER.tar.gz
+REPOSITORY=http://no/where
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --enable-static=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnasl: libnasl
+libnasl:
+libnasl: NASL is the Nessus Attack Scripting Language.
+libnasl:
+libnasl:
+libnasl:
+libnasl:
+libnasl:
+libnasl:
+libnasl:
+libnasl:
+EOF
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/bin/* || :
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*.so* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/libnet/libnet.SlackBuild b/libs_network/libnet/libnet.SlackBuild
new file mode 100755
index 0000000..ec618ef
--- /dev/null
+++ b/libs_network/libnet/libnet.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libnet
+VERSION=1.1.1
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://www.packetfactory.net/libnet/dist
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/usr/man/man3 \
+ $PKG/usr/bin
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnet: libnet
+libnet:
+libnet: Libnet is a high-level API (toolkit) allowing the application
+libnet: programmer to construct and inject network packets. It provides a
+libnet: portable and simplified interface for low-level network packet
+libnet: shaping, handling and injection. Libnet hides much of the tedium of
+libnet: packet creation from the application programmer such as multiplexing,
+libnet: buffer management, arcane packet header information, byte-ordering,
+libnet: OS-dependent issues, and much more. Libnet features portable packet
+libnet: creation nterfaces at the IP layer and link layer, as well as a host
+libnet: of supplementary and complementary functionality.
+EOF
+
+install -m644 -g0 -o0 README doc/BUGS doc/CHANGELOG doc/CONTRIB doc/MIGRATION \
+ doc/PACKET_BUILDING doc/RAWSOCKET_NON_SEQUITUR doc/TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/CHANGELOG
+
+mv doc/html $PKG/usr/doc/$NAME-$VERSION/libnet_docs_html
+
+(
+ cd $PKG/usr/doc/$NAME-$VERSION
+ tar -c libnet_docs_html > libnet_docs_html.tar
+ gzip -9nf libnet_docs_html.tar
+ rm -rf libnet_docs_html
+)
+
+install -m0755 libnet-config $PKG/usr/bin
+
+install -m0444 doc/man/man3/*.3 $PKG/usr/man/man3
+gzip -9nf $PKG/usr/man/man?/*.?
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/libnet/libnet10.SlackBuild b/libs_network/libnet/libnet10.SlackBuild
new file mode 100755
index 0000000..e255f1c
--- /dev/null
+++ b/libs_network/libnet/libnet10.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libnet
+VERSION=1.0.2a
+ARCH=i586
+BUILD=1
+PKGNAME=Libnet
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$NAME-$VERSION.tar.gz
+REPOSITORY=http://www.packetfactory.net/libnet/dist/deprecated
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/usr/man/man3 \
+ $PKG/usr/bin
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnet: libnet
+libnet:
+libnet: Libnet is a high-level API (toolkit) allowing the application
+libnet: programmer to construct and inject network packets. It provides a
+libnet: portable and simplified interface for low-level network packet
+libnet: shaping, handling and injection. Libnet hides much of the tedium of
+libnet: packet creation from the application programmer such as multiplexing,
+libnet: buffer management, arcane packet header information, byte-ordering,
+libnet: OS-dependent issues, and much more. Libnet features portable packet
+libnet: creation nterfaces at the IP layer and link layer, as well as a host
+libnet: of supplementary and complementary functionality.
+EOF
+
+install -m644 -g0 -o0 README doc/BUGS doc/CHANGELOG doc/CONTRIB doc/MIGRATION \
+ doc/PACKET_BUILDING doc/RAWSOCKET_NON_SEQUITUR doc/TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/CHANGELOG
+
+mv doc/html $PKG/usr/doc/$NAME-$VERSION/libnet_docs_html
+
+(
+ cd $PKG/usr/doc/$NAME-$VERSION
+ tar -c libnet_docs_html > libnet_docs_html.tar
+ gzip -9nf libnet_docs_html.tar
+ rm -rf libnet_docs_html
+)
+
+install -m0755 libnet-config $PKG/usr/bin
+
+install -m0444 doc/man/man3/*.3 $PKG/usr/man/man3
+gzip -9nf $PKG/usr/man/man?/*.?
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/libnids/libnids-1.22-install.patch.bz2 b/libs_network/libnids/libnids-1.22-install.patch.bz2
new file mode 100644
index 0000000..ed9ab1f
--- /dev/null
+++ b/libs_network/libnids/libnids-1.22-install.patch.bz2
Binary files differ
diff --git a/libs_network/libnids/libnids.SlackBuild b/libs_network/libnids/libnids.SlackBuild
new file mode 100755
index 0000000..689807c
--- /dev/null
+++ b/libs_network/libnids/libnids.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libnids
+VERSION=1.22
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://belnet.dl.sourceforge.net/sourceforge/libnids
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-install.patch.bz2 | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnids: libnids
+libnids:
+libnids: Libnids is an implementation of an E-component of Network Intrusion
+libnids: Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
+libnids: offers IP defragmentation, TCP stream assembly and TCP port scan
+libnids: detection.
+libnids:
+libnids: The most valuable feature of libnids is reliability. A number of
+libnids: tests were conducted, which proved that libnids predicts behaviour of
+libnids: protected Linux hosts as closely as possible.
+libnids:
+EOF
+
+install -m644 -g0 -o0 CHANGES CREDITS MISC README doc/API.* doc/LINUX \
+ doc/PATCH doc/PERFORMANCE doc/TESTS doc/bugtraq_post \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/API.*
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/libnotmuch/libnotmuch.build b/libs_network/libnotmuch/libnotmuch.build
new file mode 100755
index 0000000..b64b073
--- /dev/null
+++ b/libs_network/libnotmuch/libnotmuch.build
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libnotmuch
+VERSION=0.15
+BUILD=1
+DEPENDS=('libgmime >= 2.6.15-1' 'libxapian >= 1.2.15-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: notmuch (email indexer)
+${NAME}:
+${NAME}: A system for indexing, searching, reading, and tagging large
+${NAME}: collections of email messages in maildir or mh format.
+${NAME}:
+${NAME}: Homepage: http://notmuchmail.org
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=notmuch
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://notmuchmail.org/releases/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="GPL3"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --bashcompletiondir="${SYS_DIR[bashcompletiondir]}" \
+ --with-gmime-version="2.6"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+chmod 0755 ${PKG}${SYS_DIR[lib]}/libnotmuch.so.?.?.?
+rm -f ${PKG}${SYS_DIR[man]}/man1/notmuch-setup.1.gz
+echo ".so man1/notmuch.1" > ${PKG}${SYS_DIR[man]}/man1/notmuch-setup.1
+gunzip ${PKG}${SYS_DIR[man]}/man?/*.?.gz
+}
diff --git a/libs_network/libntlm/libntlm-1.3-pkgconfigdir.patch.xz b/libs_network/libntlm/libntlm-1.3-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..21da0f2
--- /dev/null
+++ b/libs_network/libntlm/libntlm-1.3-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libntlm/libntlm.build b/libs_network/libntlm/libntlm.build
new file mode 100755
index 0000000..7ea488d
--- /dev/null
+++ b/libs_network/libntlm/libntlm.build
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libntlm
+VERSION=1.3
+BUILD=2
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libntlm
+${NAME}:
+${NAME}: Libntlm is a library that implement Microsoft's NTLM authentication.
+${NAME}: However, the packaging of libntlm lacked certain things, such as
+${NAME}: having build problems, lacking shared library support, lacking
+${NAME}: autoconf macro for use in other applications, lacking pkg-config
+${NAME}: support, and more.
+${NAME}:
+${NAME}: Homepage: http://josefsson.org/libntlm
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://www.nongnu.org/${SRCNAME[0]}/releases/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="LGPL21"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --includedir="${SYS_DIR[include]}/ntlm" \
+ --localstatedir="${SYS_DIR[var]}"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS THANKS
+changelog NEWS
+}
diff --git a/libs_network/libproxy/libproxy-0.4.11-pkgconfigdir.patch.xz b/libs_network/libproxy/libproxy-0.4.11-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..06619a5
--- /dev/null
+++ b/libs_network/libproxy/libproxy-0.4.11-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libproxy/libproxy.build b/libs_network/libproxy/libproxy.build
new file mode 100755
index 0000000..39240fd
--- /dev/null
+++ b/libs_network/libproxy/libproxy.build
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libproxy
+VERSION=0.4.11
+BUILD=1
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libproxy
+${NAME}:
+${NAME}: A library that allows automatic proxy configuration management.
+${NAME}:
+${NAME}: Homepage: http://code.google.com/p/libproxy
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://${SRCNAME[0]}.googlecode.com/files/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="LGPL21"
+
+build0()
+{
+cmake \
+ -DCMAKE_BUILD_TYPE:STRING="Release" \
+ -DCMAKE_CXX_FLAGS:STRING="${FLAGS}" \
+ -DCMAKE_C_FLAGS:STRING="${FLAGS}" \
+ -DCMAKE_VERBOSE_MAKEFILE:BOOL="on" \
+ -DCMAKE_INSTALL_PREFIX:PATH="${SYS_DIR[usr]}" \
+ -DEXEC_INSTALL_PREFIX:PATH="${SYS_DIR[usr]}" \
+ -DLIB_INSTALL_DIR:PATH="${SYS_DIR[lib]}" \
+ -DLIBEXEC_INSTALL_DIR:PATH="${SYS_DIR[lib]}/exec" \
+ -DMODULE_INSTALL_DIR:PATH="${SYS_DIR[lib]}/plugins/${SRCNAME[0]}" \
+ -DINCLUDE_INSTALL_DIR:PATH="${SYS_DIR[include]}/proxy" \
+ -DWITH_GNOME3:BOOL="on" \
+ -DWITH_WEBKIT3:BOOL="off" \
+ -DWITH_PYTHON:BOOL="off" \
+ -DWITH_DOTNET:BOOL="off" \
+ -DWITH_PERL:BOOL="off" \
+ -DWITH_VALA:BOOL="off" \
+CMakeLists.txt
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+}
diff --git a/libs_network/libsoup/libsoup.build b/libs_network/libsoup/libsoup.build
new file mode 100755
index 0000000..90ee60d
--- /dev/null
+++ b/libs_network/libsoup/libsoup.build
@@ -0,0 +1,69 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libsoup
+MAJOR=2.46
+VERSION=${MAJOR}.0
+BUILD=1
+DEPENDS=('glib >= 2.38.2-1' 'libxml >= 2.9.1-1' 'sqlite >= 3.7.16.1-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libsoup (HTTP client/server library)
+${NAME}:
+${NAME}: Libsoup is an HTTP client/server library. It uses GObjects and the
+${NAME}: glib main loop and integrates well with GNOME and Gtk+ applications.
+${NAME}: Since it is based only on glib, it can also be used in command line
+${NAME}: and daemon-based applications. It features both asynchronous
+${NAME}: (GMainLoop and callback-based) and synchronous APIs, automatically
+${NAME}: cached connections, SSL support using GnuTLS, and proxy support
+${NAME}: including authentication and SSL tunneling. Client support includes
+${NAME}: Digest, NTLM, and basic authentication, and server support includes
+${NAME}: Digest and Basic authentication.
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=${URL[gnome]}/${SRCNAME[0]}/${MAJOR}/${SRCNAME[0]}-${SRCVERS[0]}.tar.xz
+SRCCOPY[0]="LGPL2"
+
+build0()
+{
+sed -i 's|$(libdir)/pkgconfig|$(datarootdir)/pkgconfig|g' Makefile.in
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-silent-rules \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-introspection=no \
+ --enable-debug=minimum \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-html-dir="${SYS_DIR[html]}"
+#FIXME: gstreamer still requires libsoup-gnome (--without-gnome)
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+# No development docs
+rm -rf ${PKG}${SYS_DIR[html]}
+}
diff --git a/libs_network/libssh2/libssh2-1.4.3-pkgconfigdir.patch.xz b/libs_network/libssh2/libssh2-1.4.3-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..4e6840b
--- /dev/null
+++ b/libs_network/libssh2/libssh2-1.4.3-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libssh2/libssh2.build b/libs_network/libssh2/libssh2.build
new file mode 100755
index 0000000..89b5e16
--- /dev/null
+++ b/libs_network/libssh2/libssh2.build
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libssh2
+VERSION=1.4.3
+BUILD=2
+DEPENDS=('libgcrypt >= 1.5.0-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libssh2
+${NAME}:
+${NAME}: A client-side C library implementing the SSH2 protocol.
+${NAME}:
+${NAME}: Homepage: http://www.libssh2.org
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://www.libssh2.org/download/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="BSD"
+
+build0()
+{
+CPPFLAGS="-I${SYS_DIR[include]}/gpg-error -I${SYS_DIR[include]}/gcrypt" \
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-rpath \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --includedir="${SYS_DIR[include]}/ssh2" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-libgcrypt \
+ --with-libz
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS RELEASE-NOTES
+changelog NEWS
+}
diff --git a/libs_network/libvnc/LibVNCServer-0.9.9-pkgconfigdir.patch.xz b/libs_network/libvnc/LibVNCServer-0.9.9-pkgconfigdir.patch.xz
new file mode 100644
index 0000000..591a14b
--- /dev/null
+++ b/libs_network/libvnc/LibVNCServer-0.9.9-pkgconfigdir.patch.xz
Binary files differ
diff --git a/libs_network/libvnc/libvnc.build b/libs_network/libvnc/libvnc.build
new file mode 100755
index 0000000..5599b6d
--- /dev/null
+++ b/libs_network/libvnc/libvnc.build
@@ -0,0 +1,68 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=libvnc
+VERSION=0.9.9
+BUILD=1
+DEPENDS=('gnutls >= 3.1.6-1' 'libjpeg >= 1.2.1-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: libvnc (VNC client and server libraries)
+${NAME}:
+${NAME}: VNC (Virtual Network Computing) is a graphical desktop sharing
+${NAME}: system that uses the RFB protocol to remotely control another
+${NAME}: computer. It transmits the keyboard and mouse events from one
+${NAME}: computer to another, relaying the graphical screen updates back in
+${NAME}: the other direction, over a network.
+${NAME}:
+${NAME}: Homepage: http://libvncserver.sourceforge.net
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=LibVNCServer
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=${URL[sf]}/libvncserver/${SRCNAME[0]}/${SRCVERS[0]}/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="GPL2"
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --disable-silent-rules \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --without-ssl \
+ --without-crypto \
+ --with-zlib="${SYS_DIR[usr]}" \
+ --with-jpeg="${SYS_DIR[usr]}" \
+ --with-png="${SYS_DIR[usr]}" \
+ --with-avahi="${SYS_DIR[usr]}" \
+ --with-gnutls="${SYS_DIR[usr]}"
+make ${JOBS} V=1
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+}
diff --git a/libs_network/miniupnpc/miniupnpc-1.8.20130211-cmake.patch.xz b/libs_network/miniupnpc/miniupnpc-1.8.20130211-cmake.patch.xz
new file mode 100644
index 0000000..fd2fabb
--- /dev/null
+++ b/libs_network/miniupnpc/miniupnpc-1.8.20130211-cmake.patch.xz
Binary files differ
diff --git a/libs_network/miniupnpc/miniupnpc.build b/libs_network/miniupnpc/miniupnpc.build
new file mode 100755
index 0000000..164f98c
--- /dev/null
+++ b/libs_network/miniupnpc/miniupnpc.build
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=miniupnpc
+VERSION=1.8.20130211
+BUILD=1
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: miniupnpc (UPnP NAT traversal client library)
+${NAME}:
+${NAME}: This library allows TCP/IP programs which use it to perform Network
+${NAME}: Address Translation (NAT) traversal through the UPnP protocol.
+${NAME}:
+${NAME}: It was written by Thomas Bernard.
+${NAME}:
+${NAME}: Homepage: http://miniupnp.free.fr
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://miniupnp.free.fr/files/download.php?file=${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="BSD3"
+
+build0()
+{
+cmake \
+-DCMAKE_CXX_FLAGS:STRING="${FLAGS}" \
+-DCMAKE_C_FLAGS:STRING="${FLAGS}" \
+-DCMAKE_VERBOSE_MAKEFILE:BOOL="on" \
+-DCMAKE_INSTALL_PREFIX:PATH="${SYS_DIR[usr]}" \
+-DEXEC_INSTALL_PREFIX:PATH="${SYS_DIR[usr]}" \
+-DBIN_INSTALL_DIR:PATH="${SYS_DIR[bin]}" \
+-DINCLUDE_INSTALL_DIR:PATH="${SYS_DIR[include]}" \
+-DLIB_INSTALL_DIR:PATH="${SYS_DIR[lib]}" \
+-DUPNPC_BUILD_STATIC:BOOL="off" \
+-DUPNPC_BUILD_TESTS:BOOL="off" \
+CMakeLists.txt
+make ${JOBS}
+make install DESTDIR="${PKG}"
+changelog ChangeLog.txt
+}
diff --git a/libs_network/neon/neon-0.29.6-gnutls3backport.patch.xz b/libs_network/neon/neon-0.29.6-gnutls3backport.patch.xz
new file mode 100644
index 0000000..77f7276
--- /dev/null
+++ b/libs_network/neon/neon-0.29.6-gnutls3backport.patch.xz
Binary files differ
diff --git a/libs_network/neon/neon-0.29.6-gnutls3functions.patch.xz b/libs_network/neon/neon-0.29.6-gnutls3functions.patch.xz
new file mode 100644
index 0000000..2a23859
--- /dev/null
+++ b/libs_network/neon/neon-0.29.6-gnutls3functions.patch.xz
Binary files differ
diff --git a/libs_network/neon/neon-0.29.6-gnutls3types.patch.xz b/libs_network/neon/neon-0.29.6-gnutls3types.patch.xz
new file mode 100644
index 0000000..3d9d9fa
--- /dev/null
+++ b/libs_network/neon/neon-0.29.6-gnutls3types.patch.xz
Binary files differ
diff --git a/libs_network/neon/neon-0.29.6-htmldir.patch.xz b/libs_network/neon/neon-0.29.6-htmldir.patch.xz
new file mode 100644
index 0000000..ffb54f1
--- /dev/null
+++ b/libs_network/neon/neon-0.29.6-htmldir.patch.xz
Binary files differ
diff --git a/libs_network/neon/neon.build b/libs_network/neon/neon.build
new file mode 100755
index 0000000..c0924ce
--- /dev/null
+++ b/libs_network/neon/neon.build
@@ -0,0 +1,67 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=neon
+VERSION=0.29.6
+BUILD=2
+DEPENDS=('gnutls >= 3.1.6-1' 'libxml >= 2.9.0-1' 'libproxy >= 0.4.11-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: neon
+${NAME}:
+${NAME}: An HTTP and WebDAV client library.
+${NAME}:
+${NAME}: Homepage: http://www.webdav.org/neon
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://www.webdav.org/${SRCNAME[0]}/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="LGPL2"
+
+build0()
+{
+sed -i 's|$(libdir)/pkgconfig|$(prefix)/share/pkgconfig|g' Makefile.in
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --docdir="${SYS_DIR[html]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-ssl=gnutls \
+ --with-libxml2 \
+ --with-ca-bundle="${SYS_DIR[etc]}/ssl/certs/ca-certificates.crt" \
+ --enable-threadsafe-ssl=posix
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS THANKS
+changelog NEWS
+# No development docs
+rm -rf ${PKG}${SYS_DIR[html]}
+}
diff --git a/libs_network/nessus_libs/nessus_libs.SlackBuild b/libs_network/nessus_libs/nessus_libs.SlackBuild
new file mode 100755
index 0000000..f47a4fd
--- /dev/null
+++ b/libs_network/nessus_libs/nessus_libs.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=nessus_libs
+VERSION=2.3.1
+ARCH=i586
+BUILD=1
+PKGNAME=nessus-libraries
+PKGVER=$VERSION
+BASEDIR=$PKGNAME
+ARCHIVE=$PKGNAME-$PKGVER.tar.gz
+REPOSITORY=http://no/where
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --enable-static=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc/nessus \
+ --enable-cypher
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nessus_libs: Nessus libraries
+nessus_libs:
+nessus_libs: The "Nessus" Project was started by Renaud Deraison in 1998 to
+nessus_libs: provide to the internet community a free, powerful, up-to-date and
+nessus_libs: easy to use remote security scanner. Nessus is currently rated among
+nessus_libs: the top products of its type throughout the security industry and is
+nessus_libs: endorsed by professional information security organizations such as
+nessus_libs: the SANS Institute. It is estimated that the Nessus scanner is used
+nessus_libs: by 75,000 organizations world-wide.
+nessus_libs:
+nessus_libs:
+EOF
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*.so* || :
+
+rm -rf $PKG/usr/sbin
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/openobex/openobex.SlackBuild b/libs_network/openobex/openobex.SlackBuild
new file mode 100755
index 0000000..3778551
--- /dev/null
+++ b/libs_network/openobex/openobex.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=openobex
+VERSION=1.3
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://belnet.dl.sourceforge.net/sourceforge/openobex
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --enable-static=no \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-apps
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+openobex: openobex (Object Exchange protocol library)
+openobex:
+openobex: OpenOBEX is a free open source implementation of the Object Exchange
+openobex: (OBEX) protocol. OBEX is a session protocol and can best be
+openobex: described as a binary HTTP protocol. OBEX is optimised for ad-hoc
+openobex: wireless links and can be used to exchange all kinds of objects like
+openobex: files, pictures, calendar entries (vCal) and business cards (vCard).
+openobex:
+openobex: Visit the project here: http://www.openobex.org
+openobex:
+openobex:
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog README \
+ $PKG/usr/doc/$NAME-$VERSION
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*.so* || :
+
+strip $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz
diff --git a/libs_network/silc/silc-1.0-nodebug.patch.bz2 b/libs_network/silc/silc-1.0-nodebug.patch.bz2
new file mode 100644
index 0000000..2e8f95b
--- /dev/null
+++ b/libs_network/silc/silc-1.0-nodebug.patch.bz2
Binary files differ
diff --git a/libs_network/silc/silc.SlackBuild b/libs_network/silc/silc.SlackBuild
new file mode 100755
index 0000000..9a83c91
--- /dev/null
+++ b/libs_network/silc/silc.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=silc
+VERSION=1.0
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-toolkit-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=ftp://ftp.silcnet.org/silc/toolkit/sources
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-nodebug.patch.bz2 | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure --prefix=/usr --enable-ipv6 \
+ --with-perl=no --disable-debug --with-simdir=/usr/libexec/silc \
+ --with-docdir=/usr/doc/silc-$VERSION --includedir=/usr/include/silc
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+silc: SILC (Secure Internet Live Conferencing)
+silc:
+silc: Secure Internet Live Conferencing, or SILC in short, is a modern
+silc: conferencing protocol which provides rich conferencing features with
+silc: high security. One of the main design principles of the protocol was
+silc: security. Many of the SILC features are found in traditional chat
+silc: protocols such as IRC but many of the SILC features can also be
+silc: found in Instant Message (IM) style protocols.
+silc:
+silc: This package provides the SILC toolkit.
+silc:
+EOF
+
+rm -f \
+ $PKG/usr/doc/$NAME-$VERSION/BSD \
+ $PKG/usr/doc/$NAME-$VERSION/COPYING \
+ $PKG/usr/doc/$NAME-$VERSION/CodingStyle \
+ $PKG/usr/doc/$NAME-$VERSION/GPL \
+ $PKG/usr/doc/$NAME-$VERSION/INSTALL \
+ $PKG/usr/doc/$NAME-$VERSION/README.*
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/*.txt \
+ $PKG/usr/doc/$NAME-$VERSION/CHANGES \
+ $PKG/usr/doc/$NAME-$VERSION/FAQ
+
+(
+ cd $PKG/usr/doc/$NAME-$VERSION
+ mv toolkit silc_docs_html
+ tar -c silc_docs_html > silc_docs_html.tar
+ gzip -9nf silc_docs_html.tar
+ rm -rf silc_docs_html
+ rm -rf tutorial
+)
+
+strip --strip-unneeded $PKG/usr/libexec/silc/*.so ||:
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz